Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class DQConformanceResult

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.DQConformanceResult

    public class DQConformanceResult

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}specification"/>
             <element ref="{http://www.isotc211.org/2005/gmd}explanation"/>
             <element ref="{http://www.isotc211.org/2005/gmd}pass"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Explanation` | `explanation`
`protected Pass` | `pass`
`protected Specification` | `specification`

Constructor Summary
`DQConformanceResult()`

Method Summary
`Explanation` | `getExplanation()` Gets the value of the explanation property.
`Pass` | `getPass()` Gets the value of the pass property.
`Specification` | `getSpecification()` Gets the value of the specification property.
`void` | `setExplanation(Explanation value)` Sets the value of the explanation property.
`void` | `setPass(Pass value)` Sets the value of the pass property.
`void` | `setSpecification(Specification value)` Sets the value of the specification property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### specification

    protected Specification specification

### explanation

    protected Explanation explanation

### pass

    protected Pass pass

Constructor Detail

### DQConformanceResult

    public DQConformanceResult()

Method Detail

### getSpecification

    public Specification getSpecification()

  Gets the value of the specification property.

  Returns:
    possible object is `Specification`

### setSpecification

    public void setSpecification(Specification value)

  Sets the value of the specification property.

  Parameters:
    `value` - allowed object is `Specification`

### getExplanation

    public Explanation getExplanation()

  Gets the value of the explanation property.

  Returns:
    possible object is `Explanation`

### setExplanation

    public void setExplanation(Explanation value)

  Sets the value of the explanation property.

  Parameters:
    `value` - allowed object is `Explanation`

### getPass

    public Pass getPass()

  Gets the value of the pass property.

  Returns:
    possible object is `Pass`

### setPass

    public void setPass(Pass value)

  Sets the value of the pass property.

  Parameters:
    `value` - allowed object is `Pass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org